For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account APIKey

Account API key management

List all API keys

get
Authorizations
PRIVATE-TOKENstringRequired
Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

API key ID

categoryinteger · integerRequired

API key access category

keystringRead-onlyRequired

API key

notestring · nullableOptional

API key note

assignOdpServerIpsinteger · integerRequired

Whether or not to assign ODP server IPs

usedinteger · integerRead-onlyRequired

Number of times that the API key was used

expiresAtinteger · integer · nullableOptional

API key expiration time as UNIX timestamp

get/v3/account/apiKey
GET /v3/account/apiKey HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "category": 1,
    "key": "text",
    "note": "text",
    "assignOdpServerIps": 1,
    "used": 1,
    "expiresAt": 1
  }
]

Generate API key

post
Authorizations
PRIVATE-TOKENstringRequired
Body
idinteger · integerRead-onlyRequired

API key ID

categoryinteger · integerRequired

API key access category

keystringRead-onlyRequired

API key

notestring · nullableOptional

API key note

assignOdpServerIpsinteger · integerRequired

Whether or not to assign ODP server IPs

usedinteger · integerRead-onlyRequired

Number of times that the API key was used

expiresAtinteger · integer · nullableOptional

API key expiration time as UNIX timestamp

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

API key ID

categoryinteger · integerRequired

API key access category

keystringRead-onlyRequired

API key

notestring · nullableOptional

API key note

assignOdpServerIpsinteger · integerRequired

Whether or not to assign ODP server IPs

usedinteger · integerRead-onlyRequired

Number of times that the API key was used

expiresAtinteger · integer · nullableOptional

API key expiration time as UNIX timestamp

post/v3/account/apiKey
POST /v3/account/apiKey HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 65

{
  "category": 1,
  "note": "text",
  "assignOdpServerIps": 1,
  "expiresAt": 1
}
[
  {
    "id": 1,
    "category": 1,
    "key": "text",
    "note": "text",
    "assignOdpServerIps": 1,
    "used": 1,
    "expiresAt": 1
  }
]

Update API key

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
apiKeyIdintegerRequired

ID of API key to update

Body
idinteger · integerRead-onlyRequired

API key ID

categoryinteger · integerRequired

API key access category

keystringRead-onlyRequired

API key

notestring · nullableOptional

API key note

assignOdpServerIpsinteger · integerRequired

Whether or not to assign ODP server IPs

usedinteger · integerRead-onlyRequired

Number of times that the API key was used

expiresAtinteger · integer · nullableOptional

API key expiration time as UNIX timestamp

Responses
200

OK

application/json
idinteger · integerRead-onlyRequired

API key ID

categoryinteger · integerRequired

API key access category

keystringRead-onlyRequired

API key

notestring · nullableOptional

API key note

assignOdpServerIpsinteger · integerRequired

Whether or not to assign ODP server IPs

usedinteger · integerRead-onlyRequired

Number of times that the API key was used

expiresAtinteger · integer · nullableOptional

API key expiration time as UNIX timestamp

put/v3/account/apiKey/{apiKeyId}
PUT /v3/account/apiKey/{apiKeyId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 65

{
  "category": 1,
  "note": "text",
  "assignOdpServerIps": 1,
  "expiresAt": 1
}
[
  {
    "id": 1,
    "category": 1,
    "key": "text",
    "note": "text",
    "assignOdpServerIps": 1,
    "used": 1,
    "expiresAt": 1
  }
]

Delete API key

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
apiKeyIdintegerRequired

ID of API key to delete

Responses
204

No Content

No content

delete/v3/account/apiKey/{apiKeyId}
DELETE /v3/account/apiKey/{apiKeyId} HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*

No content

Last updated

Was this helpful?